org.firebirdsql.gds.impl

## Class GDSType

- java.lang.Object
- - org.firebirdsql.gds.impl.GDSType

All Implemented Interfaces:
  java.io.Serializable

    public final class GDSType
    extends java.lang.Object
    implements java.io.Serializable

Type-safe "enumeration" of the GDS types registered in the system.

See Also:
  Serialized Form

### Method Summary

Methods
`static GDSType` `getType(java.lang.String type)` Factory method for instances of this class.
`java.lang.Object` `readResolve()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getType

    public static GDSType getType(java.lang.String type)

Factory method for instances of this class. There's only three possible instances of this class, however linking to them directly is not always possible and desirable (for example when type is specified in configuration). This method gives the possibility to translate string representation of the type into correct type instance.

Parameters:
  `type` - string representation of the type to match (matching is case insensitive). Possible values are:
  - `"PURE_JAVA"` or `"TYPE4"` for pure Java (type 4) driver version;
  - `"NATIVE"` or `"TYPE2"` for type 2 JDBC driver that will use Firebird client library to access the database using JNI link.
  - `"EMBEDDED"` for type 2 JDBC driver that will use embedded version of the server to perform database-related operations.
Returns:
  instance of `GDSType` corresponding to the specified string representation or `null` if no match could be found.

#### readResolve

    public java.lang.Object readResolve()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`